<div class="button-row">
  <a mat-raised-button color="primary" [routerLink]="['/book-create']">Permohonan Penganugerahan Diploma/Ijazah</a>
</div>
<div class="example-container mat-elevation-z8">
  <table mat-table #table [dataSource]="dataSource">

    <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->

    <!-- Title Column -->
    <ng-container matColumnDef="title">
      <th mat-header-cell *matHeaderCellDef> ID </th>
      <td mat-cell *matCellDef="let element" class="title-col"> {{element.title}} </td>
    </ng-container>

    <!-- Title Column -->
    <ng-container matColumnDef="nama_pelajar">
      <th mat-header-cell *matHeaderCellDef> Tarikh hantar </th>
      <td mat-cell *matCellDef="let element"> {{element.updated_tarikh|date}} </td>
    </ng-container>

    <!-- no_matrik Column -->
    <ng-container matColumnDef="no_matrik">
      <th mat-header-cell *matHeaderCellDef> Status </th>
      <td mat-cell *matCellDef="let element"> Processing</td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" [routerLink]="['/book-details/', row._id]"></tr>
  </table>
</div>
